﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace dashboardUtilities
{
    using System;
    using System.Web.Configuration;

    public partial class StartupDashboardAcsExtensions : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.Page.IsPostBack)
            {
                this.NoAcsNamespacePanel.Visible = false;

                if (string.IsNullOrWhiteSpace(WebConfigurationManager.AppSettings["AcsNamespace"]))
                {
                    this.NoAcsNamespacePanel.Visible = true;
                }

                this.WarningsPanel.Visible = this.NoAcsNamespacePanel.Visible;
            }
        }
    }
}