﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace umbraco.ACSExtensions
{
    using System;

    public class MappingRule
    {
        public Guid Id { get; set; }

        public string Name { get; set; }

        public string ClaimType { get; set; }

        public string ClaimValue { get; set; }

        public IdentityProviderInfo IdentityProvider { get; set; }

        public MemberGroupInfo MemberGroup { get; set; }
    }

    public class IdentityProviderInfo
    {
        public string Id { get; set; }

        public string Name { get; set; }
    }

    public class MemberGroupInfo
    {
        public int Id { get; set; }

        public string Name { get; set; }
    }
}