﻿<%@ Control Language="C#" AutoEventWireup="True" CodeBehind="StartupDashboardAcsExtensions.ascx.cs" Inherits="dashboardUtilities.StartupDashboardAcsExtensions" %>
<%@ Register Namespace="umbraco.uicontrols" Assembly="controls" TagPrefix="umb" %>
<link href="/umbraco_client/propertypane/style.css" rel="stylesheet" />

<div class="dashboardWrapper">
    <h2 style="padding-left:55px;">Access Control Service Extensions for Umbraco</h2>
    <img src="/umbraco/dashboard/images/acsExtensionsLogo49x32.png" alt="Umbraco" class="dashboardIcon" />
    
    <h3>Using Your New Identity and Access Features</h3>
    <p>
        Now that you installed the ACS Extensions, your Umbraco Web site can handle members from Windows Live Id, Facebook, Google, Yahoo and federated directories such as ADFS. 
        If you want to learn how to create a sign-in page, invite members and create authorization rules please refer to the documentation section at <a target="_blank" href="http://umbracoacsextensions.codeplex.com/">http://umbracoacsextensions.codeplex.com/</a>
    </p>

    <asp:panel runat="server" ID="WarningsPanel" CssClass="error">
        <asp:panel runat="server" ID="NoAcsNamespacePanel">
            <ul>
                <li>
                    The ACS Extensions are currently not configured. In order to use the Social Members feature, please go to <a target="_blank" href="/install/?installStep=ACSExtensions">ACS Extensions setup page</a>, enter your ACS namespace and provide the details of the SMTP server you want to use for notifications.
                </li>
            </ul>
        </asp:panel>
    </asp:panel>
</div>