﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Login.ascx.cs" Inherits="umbraco.ACSExtensions.Login" EnableViewState="false" %>
<%@ Register TagPrefix="uc" TagName="federatedLogin" Src="FederatedLogin.ascx" %>

<asp:Panel runat="server">

    <span><b>Federated Members</b></span>
    <uc:federatedLogin runat="server" ID="FederatedLogin" />
	<style type="text/css">.inline { display:inline }</style>
	<div style="margin-top:50px;">
		<span><b>Other Members</b></span>
		<asp:Login ID="FormsLogin" runat="server" EnableViewState="false" RenderOuterTable="false" TitleText="">
			<LayoutTemplate>
				<div class="accountInfo">
					<fieldset class="login">
						<!--<legend>Account Information</legend>-->
						<p>
							<asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Username:</asp:Label>
							<asp:TextBox ID="UserName" runat="server" CssClass="textEntry" Width="94%"></asp:TextBox>
							<asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
									CssClass="failureNotification inline" ErrorMessage="User Name is required." ToolTip="User Name is required." 
									ValidationGroup="LoginUserValidationGroup" Display="Dynamic">*</asp:RequiredFieldValidator>
						</p>
						<p>
							<asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Password:</asp:Label>
							<asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password" Width="94%"></asp:TextBox>
							<asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
									CssClass="failureNotification inline" ErrorMessage="Password is required." ToolTip="Password is required." 
									ValidationGroup="LoginUserValidationGroup" Display="Dynamic">*</asp:RequiredFieldValidator>
						</p>
						<p>
							<asp:CheckBox ID="RememberMe" runat="server" Width="20px"/>
							<asp:Label ID="RememberMeLabel" runat="server" AssociatedControlID="RememberMe" CssClass="inline">Keep me logged in</asp:Label>
						</p>
						<p class="submitButton">
							<asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="LoginUserValidationGroup" Width="97%"/>
						</p>
						<span class="failureNotification">
							<asp:Literal ID="FailureText" runat="server"></asp:Literal>
						</span>
						<asp:ValidationSummary ID="LoginUserValidationSummary" runat="server" CssClass="failureNotification" ValidationGroup="LoginUserValidationGroup"/>
					</fieldset>
				</div>
			</LayoutTemplate>
		</asp:Login>
    </div>
    
</asp:Panel>