﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace umbraco.ACSExtensions
{
    using umbraco.cms.businesslogic.installer;
    using umbraco.IO;

    public class ACSExtensionsStep : InstallerStep
    {
        public override string Alias
        {
            get { return "ACSExtensions"; }
        }

        public override string Name
        {
            get { return "ACS Extensions"; }
        }

        public override string UserControl
        {
            get { return SystemDirectories.Install + "/steps/ACSExtensions.ascx"; }
        }

        public override bool MoveToNextStepAutomaticly
        {
            get
            {
                return true;
            }
        }

        public override bool Completed()
        {
            return false;
        }
    }
}